Daemon Power

The NetBSD Packages Collection: devel/include-what-you-use

Brief description of the package:
Analyze #includes in C and C++ source files

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://include-what-you-use.org/.

Please note that this package has a modified-bsd license.

The package is located in the "devel/include-what-you-use" directory. The current source version of the package is "include-what-you-use-0.12". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/include-what-you-use :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: clang>=9.0.0 llvm-9.0.0{,nb*} libxml2>=2.6.2 xmlcatmgr>=2.0beta1 cwrappers>=20150314 libxml2>=2.8.0nb2 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 llvm>=9.0.0 .

This package requires the following package(s) to run: clang>=9.0.0 llvm-9.0.0{,nb*} libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 llvm>=9.0.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:include-what-you-use-0.9.tgz(NetBSD 7.0)
i386:include-what-you-use-0.10.tgz(NetBSD 7.0)
i386:include-what-you-use-0.11.tgz(NetBSD 7.0)
i386:include-what-you-use-0.11.tgz(NetBSD 7.0)
i386:include-what-you-use-0.9.tgz(NetBSD 7.1)
i386:include-what-you-use-0.10.tgz(NetBSD 7.1)
i386:include-what-you-use-0.11.tgz(NetBSD 7.1)
i386:include-what-you-use-0.11.tgz(NetBSD 7.1)
i386:include-what-you-use-0.12.tgz(NetBSD 8.0)
i386:include-what-you-use-0.9.tgz(NetBSD 8.0)
i386:include-what-you-use-0.10.tgz(NetBSD 8.0)
i386:include-what-you-use-0.11.tgz(NetBSD 8.0)
i386:include-what-you-use-0.11.tgz(NetBSD 8.0)
x86_64:include-what-you-use-0.9.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.10.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.11.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.11.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.9.tgz(NetBSD 7.1)
x86_64:include-what-you-use-0.10.tgz(NetBSD 7.1)
x86_64:include-what-you-use-0.11.tgz(NetBSD 7.1)
x86_64:include-what-you-use-0.11.tgz(NetBSD 7.1)
x86_64:include-what-you-use-0.12.tgz(NetBSD 8.0)
x86_64:include-what-you-use-0.9.tgz(NetBSD 8.0)
x86_64:include-what-you-use-0.10.tgz(NetBSD 8.0)
x86_64:include-what-you-use-0.11.tgz(NetBSD 8.0)
x86_64:include-what-you-use-0.11.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]